Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZTemplateStringOperator Class Reference
Template system » Template operators

## Public Member Functions
| __construct ()
| operatorList ()
| operatorTemplateHints ()
| namedParameterPerOperator ()
| namedParameterList ()
| phpMapTransformation ( $operatorName, $node, $tpl, $resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| customMapTransformation ( $operatorName, $node, $tpl, $resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| washTransformation ( $operatorName, $node, $tpl, $resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| The array of operators, used for registering operators. More...
| $UpcaseName
| $DowncaseName
| $Count_wordsName
| $Count_charsName
| $TrimName
| $BreakName
| $WrapName
| $ShortenName
| $PadName
| $UpfirstName
| $UpwordName
| $SimplifyName
| $WashName
| $ChrName
| $OrdName
| $phpMap
| $customMap

## Private Member Functions
| wash ( $operatorValue, $tpl, $type='xhtml')

## Detailed Description

Definition at line 20 of file eztemplatestringoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateStringOperator::__construct | ( |  | ) |

Definition at line 22 of file eztemplatestringoperator.php.

## Member Function Documentation

## ◆ customMapTransformation()

eZTemplateStringOperator::customMapTransformation | ( |  | $operatorName,
|  |  | $node,
|  |  | $tpl,
|  |  | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 302 of file eztemplatestringoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createConstantElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZTemplateStringOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 507 of file eztemplatestringoperator.php.

References eZTextCodec\instance(), eZTextCodec\internalCharset(), and wash().

## ◆ namedParameterList()

eZTemplateStringOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 228 of file eztemplatestringoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateStringOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 220 of file eztemplatestringoperator.php.

## ◆ operatorList()

eZTemplateStringOperator::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 178 of file eztemplatestringoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateStringOperator::operatorTemplateHints | ( |  | ) |

Definition at line 183 of file eztemplatestringoperator.php.

## ◆ phpMapTransformation()

eZTemplateStringOperator::phpMapTransformation | ( |  | $operatorName,
|  |  | $node,
|  |  | $tpl,
|  |  | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 265 of file eztemplatestringoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ wash()

eZTemplateStringOperator::wash | ( |  | $operatorValue,
|  |  | $tpl,
|  |  | $type = `'xhtml'`
| ) |  |
| private

Definition at line 380 of file eztemplatestringoperator.php.

Referenced by modify(), and washTransformation().

## ◆ washTransformation()

eZTemplateStringOperator::washTransformation | ( |  | $operatorName,
|  |  | $node,
|  |  | $tpl,
|  |  | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 422 of file eztemplatestringoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\isConstantElement(), and wash().

## Member Data Documentation

## ◆ $BreakName

eZTemplateStringOperator::$BreakName

Definition at line 736 of file eztemplatestringoperator.php.

## ◆ $ChrName

eZTemplateStringOperator::$ChrName

Definition at line 744 of file eztemplatestringoperator.php.

## ◆ $Count_charsName

eZTemplateStringOperator::$Count_charsName

Definition at line 734 of file eztemplatestringoperator.php.

## ◆ $Count_wordsName

eZTemplateStringOperator::$Count_wordsName

Definition at line 733 of file eztemplatestringoperator.php.

## ◆ $customMap

eZTemplateStringOperator::$customMap

Definition at line 747 of file eztemplatestringoperator.php.

## ◆ $DowncaseName

eZTemplateStringOperator::$DowncaseName

Definition at line 732 of file eztemplatestringoperator.php.

## ◆ $Operators

eZTemplateStringOperator::$Operators

The array of operators, used for registering operators.

Definition at line 730 of file eztemplatestringoperator.php.

Referenced by operatorList().

## ◆ $OrdName

eZTemplateStringOperator::$OrdName

Definition at line 745 of file eztemplatestringoperator.php.

## ◆ $PadName

eZTemplateStringOperator::$PadName

Definition at line 739 of file eztemplatestringoperator.php.

## ◆ $phpMap

eZTemplateStringOperator::$phpMap

Definition at line 746 of file eztemplatestringoperator.php.

## ◆ $ShortenName

eZTemplateStringOperator::$ShortenName

Definition at line 738 of file eztemplatestringoperator.php.

## ◆ $SimplifyName

eZTemplateStringOperator::$SimplifyName

Definition at line 742 of file eztemplatestringoperator.php.

## ◆ $TrimName

eZTemplateStringOperator::$TrimName

Definition at line 735 of file eztemplatestringoperator.php.

## ◆ $UpcaseName

eZTemplateStringOperator::$UpcaseName

Definition at line 731 of file eztemplatestringoperator.php.

## ◆ $UpfirstName

eZTemplateStringOperator::$UpfirstName

Definition at line 740 of file eztemplatestringoperator.php.

## ◆ $UpwordName

eZTemplateStringOperator::$UpwordName

Definition at line 741 of file eztemplatestringoperator.php.

## ◆ $WashName

eZTemplateStringOperator::$WashName

Definition at line 743 of file eztemplatestringoperator.php.

## ◆ $WrapName

eZTemplateStringOperator::$WrapName

Definition at line 737 of file eztemplatestringoperator.php.

The documentation for this class was generated from the following file:

- eztemplatestringoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.